package com.shkj.wms.validator;


import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

import static java.lang.annotation.ElementType.*;

/**
 * 自定义数据字典校验注解
 *
 * @Author lch
 */
@Target({METHOD, FIELD, ANNOTATION_TYPE, CONSTRUCTOR, PARAMETER, TYPE_USE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@Constraint(validatedBy = {InArrValidator.class})
public @interface InArrNoCheckBlank {

    /**
     * 数据字典类型
     *
     * @return
     */
    String[] arr() default "";

    String message() default "与数据字典值不匹配";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};

}
